﻿Public Class frm_AddLink

    Dim LastTextField As Control

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'Basic
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
        'Basic
    End Sub

    Private Sub btn_Save_Click(sender As Object, e As EventArgs) Handles btn_Save.Click
        bs_Links.EndEdit()
        Me.DialogResult = DialogResult.OK
        Validate()
        Close()
    End Sub

    Private Sub btn_Cancel_Click(sender As Object, e As EventArgs) Handles btn_Cancel.Click
        Me.DialogResult = DialogResult.Cancel
        Close()
    End Sub

    Private Sub LinkNameTextBox_TextChanged(sender As Object, e As EventArgs) Handles LinkNameTextBox.TextChanged
        If LinkNameTextBox.Text <> "" AndAlso LinkURLTextBox.Text <> "" Then
            btn_Save.Enabled = True
        End If
    End Sub

    Private Sub LinkURLTextBox_TextChanged(sender As Object, e As EventArgs) Handles LinkURLTextBox.TextChanged
        If LinkNameTextBox.Text <> "" AndAlso LinkURLTextBox.Text <> "" Then
            btn_Save.Enabled = True
        End If
    End Sub



    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening

        LastTextField = cms_CopyPaste.SourceControl
    End Sub

    Private Sub LinkNameTextBox_KeyDown(sender As Object, e As KeyEventArgs) Handles LinkNameTextBox.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub

    Private Sub LinkURLTextBox_KeyDown(sender As Object, e As KeyEventArgs) Handles LinkURLTextBox.KeyDown
        Select Case e.KeyData
            Case Keys.Escape
                btn_Cancel.PerformClick()
            Case Keys.Enter
                btn_Save.PerformClick()
        End Select
    End Sub
End Class