﻿Public Class frm_DetailView

    Dim LastTextField As Control
    Dim LastListBoxName As String

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.SetStyle(ControlStyles.OptimizedDoubleBuffer, True)
        Me.UpdateStyles()
    End Sub

    Private Sub DDoubleClick(sender As Object, e As EventArgs) Handles lstb_Pictures.DoubleClick, PicturePathPathBoundPictureBox.DoubleClick
        DClick()
    End Sub

    Private Sub DClick()
        Try
            Dim frm As New frm_PicView
            frm.bs_Pictures.DataSource = bs_Pictures.Current
            Dim img As Image = Image.FromFile(DirectCast(DirectCast(bs_Pictures.Current, DataRowView).Row, ds_HelpDeskNotes.dt_PicturesRow)("PicturePath").ToString)
            frm.Height = img.Height.MaximumInteger(720)
            frm.Width = img.Width.MaximumInteger(960)
            img.Dispose()
            frm.ShowDialog(Me)
        Catch ex As Exception
        End Try
    End Sub

    Private Sub lstb_Files_DoubleClick(sender As Object, e As EventArgs) Handles lstb_Files.DoubleClick
        Dim FileArs = DirectCast(DirectCast(bs_Files.Current, DataRowView).Row, ds_HelpDeskNotes.dt_FilesRow)("FilePath")
        Process.Start(FileArs.ToString)
    End Sub

    Private Sub lstb_Links_DoubleClick(sender As Object, e As EventArgs) Handles lstb_Links.DoubleClick
        Dim LinkArs = DirectCast(DirectCast(bs_Links.Current, DataRowView).Row, ds_HelpDeskNotes.dt_LinksRow)("LinkURL")
        Process.Start(LinkArs.ToString)
    End Sub


    'Dim LastTextField As Control
    Private Sub ctsmi_Copy_Click(sender As Object, e As EventArgs) Handles ctsmi_Copy.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            Clipboard.SetText(t.SelectedText)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub ctsmi_Paste_Click(sender As Object, e As EventArgs) Handles ctsmi_Paste.Click
        Try
            Dim t As TextBoxBase = CType(LastTextField, TextBoxBase)
            t.SelectedText = Clipboard.GetText
        Catch ex As Exception
        End Try
    End Sub
    Private Sub cms_CopyPaste_Opening(sender As Object, e As CancelEventArgs) Handles cms_CopyPaste.Opening
        If cms_CopyPaste.SourceControl.Name = "rtb_NoteText" Then
            ctsmi_Paste.Visible = False
        Else
            ctsmi_Paste.Visible = True
        End If
        LastTextField = cms_CopyPaste.SourceControl
    End Sub

    'LastListBoxName
    Private Sub tsmi_ShowFolder_Click(sender As Object, e As EventArgs) Handles tsmi_ShowFolder.Click
        Select Case LastListBoxName
            Case "lstb_Pictures"
                If bs_Pictures.Count > 0 Then
                    Dim Ars = DirectCast(DirectCast(bs_Pictures.Current, DataRowView).Row, ds_HelpDeskNotes.dt_PicturesRow)("PicturePath")
                    Try
                        Process.Start("explorer.exe", "/select," & Ars.ToString)
                    Catch ex As Exception
                    End Try
                End If
            Case "lstb_Files"
                If bs_Files.Count > 0 Then
                    Dim Ars = DirectCast(DirectCast(bs_Files.Current, DataRowView).Row, ds_HelpDeskNotes.dt_FilesRow)("FilePath")
                    Try
                        Process.Start("explorer.exe", "/select," & Ars.ToString)
                    Catch ex As Exception
                    End Try
                End If
        End Select
    End Sub
    Private Sub cms_ShowInFolder_Opening(sender As Object, e As CancelEventArgs) Handles cms_ShowInFolder.Opening
        Select Case cms_ShowInFolder.SourceControl.Name
            Case "lstb_Links"
                tsmi_ShowFolder.Visible = False
            Case Else
                tsmi_ShowFolder.Visible = True
        End Select
        LastListBoxName = cms_ShowInFolder.SourceControl.Name
    End Sub

End Class